Disable a capability
Disable a specific capability that an account has requested. Read our capabilities guide to learn more.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/capabilities.write scope.
DELETE
/accounts/{accountID}/capabilities/{capabilityID}
curl -X DELETE "https://api.moov.io/accounts/{accountID}/capabilities/{capabilityID}" \
-H 'Authorization: Bearer {token}' \
mc, _ := moov.NewClient()
var accountID string
mc.DisableCapability(ctx, accountID, moov.CapabilityName_SendFunds)
import { SDK } from "openapi";
const sdk = new SDK({
xMoovVersion: "v2024.01.00",
});
async function run() {
const result = await sdk.capabilities.disable({
accountID: "2be80c4e-d409-49ea-8a8a-76dfa4006d69",
capabilityID: "transfers",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use OpenAPI\OpenAPI;
use OpenAPI\OpenAPI\Models\Components;
$sdk = OpenAPI\SDK::builder()
->setXMoovVersion('v2024.01.00')
->build();
$response = $sdk->capabilities->disable(
accountID: '2be80c4e-d409-49ea-8a8a-76dfa4006d69',
capabilityID: Components\CapabilityID::Transfers
);
if ($response->statusCode === 200) {
// handle response
}from openapi import SDK
with SDK(
x_moov_version="v2024.01.00",
) as sdk:
res = sdk.capabilities.disable(account_id="2be80c4e-d409-49ea-8a8a-76dfa4006d69", capability_id="transfers")
# Handle response
print(res)package hello.world;
import java.lang.Exception;
import org.openapis.openapi.SDK;
import org.openapis.openapi.models.components.CapabilityID;
import org.openapis.openapi.models.errors.GenericError;
import org.openapis.openapi.models.operations.DisableCapabilityResponse;
public class Application {
public static void main(String[] args) throws GenericError, Exception {
SDK sdk = SDK.builder()
.xMoovVersion("v2024.01.00")
.build();
DisableCapabilityResponse res = sdk.capabilities().disable()
.accountID("2be80c4e-d409-49ea-8a8a-76dfa4006d69")
.capabilityID(CapabilityID.TRANSFERS)
.call();
// handle response
}
}require 'openapi'
Models = ::OpenApiSDK::Models
s = ::OpenApiSDK::SDK.new(
x_moov_version: 'v2024.01.00',
)
res = s.capabilities.disable(account_id: '2be80c4e-d409-49ea-8a8a-76dfa4006d69', capability_id: Models::Components::CapabilityID::TRANSFERS)
if res.status_code == 200
# handle response
endThe request completed successfully, but there is no content to return.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The server could not understand the request due to invalid syntax.
{
"error": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The requested resource was not found.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request conflicted with the current state of the target resource.
{
"error": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Specify an API version.
API versioning follows the format vYYYY.QQ.BB, where
YYYYis the yearQQis the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)BBis the build number, starting at.01, for subsequent builds in the same quarter.- For example,
v2024.01.00is the initial release of the first quarter of 2024.
- For example,
The dev version represents the most recent development state. It may include breaking changes and should be treated as a beta release.
When no version is specified, the API defaults to v2024.01.00.
Path parameters
accountID
string
required
capabilityID
string
required
Possible values:
transfers,
send-funds,
collect-funds,
wallet,
card-issuing,
production-app